from driverConstants import *
from driverStandard import StandardAnalysis
import driverUtils, sys
options = {
    'ams':OFF,
    'analysisType':STANDARD,
    'applicationName':'analysis',
    'aqua':OFF,
    'beamSectGen':OFF,
    'biorid':OFF,
    'cel':OFF,
    'complexFrequency':OFF,
    'contact':OFF,
    'cosimulation':OFF,
    'coupledProcedure':ON,
    'cyclicSymmetryModel':OFF,
    'directCyclic':OFF,
    'direct_solver':DMP,
    'dsa':OFF,
    'dynamic':OFF,
    'filPrt':[],
    'fils':[],
    'finitesliding':OFF,
    'foundation':OFF,
    'geostatic':OFF,
    'heatTransfer':OFF,
    'importer':OFF,
    'importerParts':OFF,
    'includes':('.\\ficheros\\SETladoizq', '.\\ficheros\\SETnodoarrdch', '.\\ficheros\\SETnodoabadch', '.\\ficheros\\SETNodoX2gdl', '.\\ficheros\\SETNodoX4gdl', '.\\ficheros\\SETNodoX10gdl', '.\\ficheros\\SETelemarr', '.\\ficheros\\SETelemaba', '.\\ficheros\\XY', '.\\ficheros\\TopSinX', '.\\ficheros\\TopConX', '.\\ficheros\\TopConXoverlay'),
    'initialConditionsFile':OFF,
    'input':'grXFEM',
    'interactive':None,
    'job':'grXFEM',
    'lanczos':OFF,
    'libs':[],
    'massDiffusion':OFF,
    'mp_mode':THREADS,
    'mp_mode_requested':THREADS,
    'multiphysics':OFF,
    'noDmpDirect':[],
    'noMultiHost':[],
    'no_domain_check':1,
    'outputKeywords':ON,
    'parameterized':OFF,
    'partsAndAssemblies':OFF,
    'parval':OFF,
    'postOutput':OFF,
    'publicSim':OFF,
    'restart':OFF,
    'restartWrite':ON,
    'rezone':OFF,
    'runCalculator':OFF,
    'soils':OFF,
    'solverTypes':['DIRECT'],
    'standard_parallel':ALL,
    'staticNonlinear':OFF,
    'steadyStateTransport':OFF,
    'step':ON,
    'subGen':OFF,
    'subGenLibs':[],
    'subGenTypes':[],
    'submodel':OFF,
    'substrLibDefs':OFF,
    'substructure':OFF,
    'symmetricModelGeneration':OFF,
    'tmpdir':'C:\\DOCUME~1\\eginerm\\LOCALS~1\\Temp\\5',
    'tracer':OFF,
    'user':'..\\..\\..\\..\\..\\ULTIMOFORTRAN\\UEL_MF.for',
    'visco':OFF,
}
analysis = StandardAnalysis(options)
status = analysis.run()
sys.exit(status)
